## universal-pathlib 0.3.9

=== dev/requirements.txt ===
fsspec[git,hdfs,dask,http,sftp,smb]==2025.10.0

# these dependencies define their own filesystems
adlfs==2025.8.0
boxfs==0.3.0
dropboxdrivefs==1.4.1
gcsfs==2025.10.0
s3fs==2025.10.0
ocifs==1.3.4
webdav4[fsspec]==0.10.0
# gfrivefs @ git+https://github.com/fsspec/gdrivefs@master broken ...
morefs[asynclocalfs]==0.2.2
dvc==3.65.0
huggingface_hub==1.2.3
lakefs-spec==0.12.0
ossfs==2025.5.0
fsspec-xrootd==0.5.1
wandbfs==0.0.2

=== debian/changelog ===
universal-pathlib (0.3.9-1) unstable; urgency=low

  * Initial release (Closes: #1123497).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Feb 2026 06:27:07 +0000

=== debian/control ===
Source: universal-pathlib
Section: python
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-cheroot <!nocheck>,
               python3-fsspec,
               python3-huggingface-hub <!nocheck>,
               python3-moto <!nocheck>,
               python3-pathlib-abc,
               python3-pydantic <!nocheck>,
               python3-pyftpdlib <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-sugar <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/fsspec/universal_pathlib
Vcs-Browser: https://salsa.debian.org/debian-gis-team/universal-pathlib
Vcs-Git: https://salsa.debian.org/debian-gis-team/universal-pathlib.git

Package: python3-universal-pathlib
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-huggingface-hub
Suggests: python3-s3fs
Description: pathlib API extended to use fsspec backends
 Universal Pathlib is a Python library that extends the
 pathlib_abc.JoinablePath API to provide a pathlib.Path-like
 interface for a variety of backend filesystems via fsspec.

=== debian/rules ===
#! /usr/bin/make -f

export CI=TRUE

export PYBUILD_NAME=upath
export PYBUILD_TEST_ARGS=-m "not network" $(CURDIR)/${PYBUILD_NAME}/tests

%:
	dh $@ --buildsystem=pybuild

## universal-pathlib 0.3.10

=== dev/requirements.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 webdav4[fsspec]==0.10.0
 # gfrivefs @ git+https://github.com/fsspec/gdrivefs@master broken ...
 morefs[asynclocalfs]==0.2.2
-dvc==3.65.0
-huggingface_hub==1.2.3
+dvc==3.66.1
+huggingface_hub==1.4.1
 lakefs-spec==0.12.0
 ossfs==2025.5.0
 fsspec-xrootd==0.5.1

=== debian/changelog ===
universal-pathlib (0.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Mar 2026 10:40:32 +0000

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?\/archive\/.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/fsspec/universal_pathlib/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
